[arch-commits] Commit in python-py/repos (2 files)

Felix Yan felixonmars at archlinux.org
Fri Oct 12 16:05:21 UTC 2018


    Date: Friday, October 12, 2018 @ 16:05:20
  Author: felixonmars
Revision: 393235

archrelease: copy trunk to community-testing-any

Added:
  python-py/repos/community-testing-any/
  python-py/repos/community-testing-any/PKGBUILD
    (from rev 393234, python-py/trunk/PKGBUILD)

----------+
 PKGBUILD |   63 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 63 insertions(+)

Copied: python-py/repos/community-testing-any/PKGBUILD (from rev 393234, python-py/trunk/PKGBUILD)
===================================================================
--- community-testing-any/PKGBUILD	                        (rev 0)
+++ community-testing-any/PKGBUILD	2018-10-12 16:05:20 UTC (rev 393235)
@@ -0,0 +1,63 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Sebastian Wiesner <lunaryorn googlemail com>
+# Contributor: Igor Ramos Tiburcio <irtigor at yahoo.com.br>
+# Contributor: Wieland Hoffmann <themineo+aur at gmail.com>
+# Contributor: Hervé Cauwelier <herve ¤ oursours.net>
+# Contributor: Felix Kaiser <felix.kaiser at fxkr.net>
+
+pkgbase=python-py
+pkgname=('python-py' 'python2-py')
+pkgver=1.7.0
+pkgrel=1
+pkgdesc="library with cross-python path, ini-parsing, io, code, log facilities"
+arch=('any')
+license=('MIT')
+url="http://py.readthedocs.io/"
+makedepends=('python-setuptools' 'python2-setuptools' 'python-setuptools-scm'
+             'python2-setuptools-scm' 'python-iniconfig' 'python2-iniconfig'
+             'python-apipkg' 'python2-apipkg')
+checkdepends=('python-pytest-runner' 'python2-pytest-runner')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/pytest-dev/py/archive/$pkgver.tar.gz")
+sha512sums=('4f79aeff9d897aa260bbd5cd1c6c99c8302739e13ec879725b4cb212a5284a987ce0469d1d7b6964d6969f1e0dd071d0080bc9617baf4155cc1c6995c30a55e9')
+
+prepare() {
+  rm -r py-$pkgver/py/_vendored_packages
+  cp -a py-$pkgver{,-py2}
+
+  export LC_CTYPE=en_US.UTF-8
+  export SETUPTOOLS_SCM_PRETEND_VERSION=$pkgver
+}
+
+build() {
+  cd "$srcdir"/py-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/py-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  # Known failure: https://github.com/pytest-dev/py/issues/104
+
+  cd "$srcdir"/py-$pkgver
+  python setup.py pytest || warning "Tests failed"
+
+  cd "$srcdir"/py-$pkgver-py2
+  python2 setup.py pytest || warning "Tests failed"
+}
+
+package_python-py() {
+  depends=('python-iniconfig' 'python-apipkg')
+
+  cd py-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-py() {
+  depends=('python2-iniconfig' 'python2-apipkg')
+
+  cd py-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}



More information about the arch-commits mailing list